Unable to use beats on 1.0.0

I have installed the latest 1.0.0 version of elasticsearch via docker and elasticsearch and kibana work without errors. When I try to use any OSS beat with the default admin user I get the following errors:

2019-07-03T22:48:38.334-0700 ERROR instance/beat.go:802 Exiting: request checking for ILM availability failed: 500 Internal Server Error: {“error”:{“root_cause”:[{“type”:“security_exception”,“reason”:“Unexpected exception indices:admin/get”}],“type”:“security_exception”,“reason”:“Unexpected exception indices:admin/get”},“status”:500}
Exiting: request checking for ILM availability failed: 500 Internal Server Error: {“error”:{“root_cause”:[{“type”:“security_exception”,“reason”:“Unexpected exception indices:admin/get”}],“type”:“security_exception”,“reason”:“Unexpected exception indices:admin/get”},“status”:500}

I have solved this by adding this to the beat config file:

setup.ilm.enabled: false

ILM seems to be an xpack feature and its not automatically disabled on OSS beats for some reason.

3 Likes

thanks a lot! It helps